function AIOptions_Show()
	AIConfigFrame_CBShowStatus:SetChecked(AIStatusEnable==1);
	AIConfigFrame:Show();
end

function AIOptions_OnShow()
	AIConfigFrame_TChannel:SetText(AIChatChannel);
	AIConfigFrame_TMana:SetText(TargetMinMana);
	AIConfigFrame_TSpam:SetText(AISpamDelay);
	AIConfigFrame_CBAIEnabled:SetChecked(AIEnabled);
	AIConfigFrame_CBPriest:SetChecked(AIEnablePriest);
	AIConfigFrame_CBMage:SetChecked(AIEnableMage);
	AIConfigFrame_CBWarlock:SetChecked(AIEnableWarlock);
	AIConfigFrame_CBShaman:SetChecked(AIEnableShaman);
	AIConfigFrame_CBDruid:SetChecked(AIEnableDruid);
	AIConfigFrame_CBHunter:SetChecked(AIEnableHunter);
	AIConfigFrame_CBRaidOnly:SetChecked(AIRaidOnly);
	AIConfigFrame_CBAutoBuff:SetChecked(AIAutoBuff);
	AIConfigFrame_CBShowStatus:SetChecked(AIStatusEnable);
	AIConfigFrame_CBOutChannel:SetChecked(AIOutputChannel);
	AIConfigFrame_CBOutRaid:SetChecked(AIOutputRaid);
end

function AIConfig_BSet()
	local ButtonID=this:GetID();
	if (ButtonID==1) then
		AIChatChannel=AIConfigFrame_TChannel:GetText();
		
	elseif (ButtonID==2) then
		TargetMinMana=tonumber(AIConfigFrame_TMana:GetText());
	elseif (ButtonID==3) then
		AISpamDelay=tonumber(AIConfigFrame_TSpam:GetText());
	end
	
end

function AIConfigCB_OnClick()

	if (this:GetChecked()) then
		PlaySound("igMainMenuOptionCheckBoxOff");
	else
		PlaySound("igMainMenuOptionCheckBoxOn");
	end
	
	local checkButtonID = this:GetID();
		
	if (checkButtonID == 1) then
		if this:GetChecked() then
			AIEnablePriest=1;
		else
			AIEnablePriest=0;
		end
	elseif (checkButtonID == 2) then
		if this:GetChecked() then
			AIEnableMage=1;
		else
			AIEnableMage=0;
		end
	elseif (checkButtonID == 3) then
		if this:GetChecked() then
			AIEnableWarlock=1;
		else
			AIEnableWarlock=0;
		end
	elseif (checkButtonID == 4) then
		if this:GetChecked() then
			AIEnableShaman=1;
		else
			AIEnableShaman=0;
		end
	elseif (checkButtonID == 5) then
		if this:GetChecked() then
			AIEnableDruid=1;
		else
			AIEnableDruid=0;
		end
	elseif (checkButtonID == 6) then
		if this:GetChecked() then
			AIEnableHunter=1;
		else
			AIEnableHunter=0;
		end
	elseif (checkButtonID == 7) then
		if this:GetChecked() then
			AIEnabled=1;
		else
			AIEnabled=0;
		end
	elseif (checkButtonID == 8) then
		if this:GetChecked() then
			AIRaidOnly=1;
		else
			AIRaidOnly=0;
		end
	elseif (checkButtonID == 9) then
		if this:GetChecked() then
			AIAutoBuff=1;
		else
			AIAutoBuff=0;
		end
	elseif (checkButtonID == 10) then
		if this:GetChecked() then
			AIStatusEnable=1;
			AIFrame:Show();
		else
			AIStatusEnable=0;
			AIFrame:Hide();
		end
	elseif (checkButtonID == 11) then
		if this:GetChecked() then
			AIOutputChannel=1;
		else
			AIOutputChannel=0;
		end
	elseif (checkButtonID == 12) then
		if this:GetChecked() then
			AIOutputRaid=1;
		else
			AIOutputRaid=0;
		end
	end
end